/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;


/**
 * A simple implementation of JspWriter for testing. All methods have empty implementation.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class SimpleJspWriter extends JspWriter {
    /**
     * Creates a new instance of SimpleJspWriter
     */
    public SimpleJspWriter() {
        super(100, true);
    }

    /**
     * Empty implementation.
     *
     * @throws IOException not thrown here.
     */
    public void clear() throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @throws IOException not thrown here.
     */
    public void clearBuffer() throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @throws IOException not thrown here.
     */
    public void close() throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @throws IOException not thrown here.
     */
    public void flush() throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @return 0.
     */
    public int getRemaining() {
        return 0;
    }

    /**
     * Empty implementation.
     *
     * @throws IOException not thrown here.
     */
    public void newLine() throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the boolean argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(boolean param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the character argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(char param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param values the character array argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(char[] values) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the double argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(double param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the flost argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(float param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(int param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param obj the object argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(Object obj) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(String str) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the long argument.
     *
     * @throws IOException not thrown here.
     */
    public void print(long param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @throws IOException not thrown here.
     */
    public void println() throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the boolean argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(boolean param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the character argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(char param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param values the character array argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(char[] values) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the double argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(double param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the float argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(float param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(int param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param obj the object argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(Object obj) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(String str) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the long argument.
     *
     * @throws IOException not thrown here.
     */
    public void println(long param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param values the character array argument.
     * @param param the first integer argument.
     * @param param2 the second integer argument.
     *
     * @throws IOException not thrown here.
     */
    public void write(char[] values, int param, int param2)
        throws IOException {
    }
}
