/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import java.io.IOException;
import java.io.PrintWriter;

import java.util.Locale;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletResponse;


/**
 * A simple implementation of HttpServletResponse for testing. All methods have empty implementation.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class SimpleHttpServletResponse implements HttpServletResponse {
    /**
     * Creates a new instance of SimpleHttpServletResponse
     */
    public SimpleHttpServletResponse() {
    }

    /**
     * Empty implementation.
     *
     * @param cookie the cookie argument.
     */
    public void addCookie(Cookie cookie) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     * @param param the long argument.
     */
    public void addDateHeader(String str, long param) {
    }

    /**
     * Empty implementation.
     *
     * @param str the first string argument.
     * @param str1 the second string argument.
     */
    public void addHeader(String str, String str1) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     * @param param the integer argument.
     */
    public void addIntHeader(String str, int param) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @return false.
     */
    public boolean containsHeader(String str) {
        return false;
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @return null.
     */
    public String encodeRedirectURL(String str) {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @return null.
     */
    public String encodeRedirectUrl(String str) {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @return null.
     */
    public String encodeURL(String str) {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @return null.
     */
    public String encodeUrl(String str) {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @throws IOException not thrown here.
     */
    public void flushBuffer() throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @return 0.
     */
    public int getBufferSize() {
        return 0;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     */
    public String getCharacterEncoding() {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     */
    public Locale getLocale() {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     *
     * @throws IOException not thrown here.
     */
    public ServletOutputStream getOutputStream() throws IOException {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     *
     * @throws IOException not thrown here.
     */
    public PrintWriter getWriter() throws IOException {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return false.
     */
    public boolean isCommitted() {
        return false;
    }

    /**
     * Empty implementation.
     */
    public void reset() {
    }

    /**
     * Empty implementation.
     */
    public void resetBuffer() {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     *
     * @throws IOException not thrown here.
     */
    public void sendError(int param) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     * @param str the string argument.
     *
     * @throws IOException not thrown here.
     */
    public void sendError(int param, String str) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @throws IOException not thrown here.
     */
    public void sendRedirect(String str) throws IOException {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     */
    public void setBufferSize(int param) {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     */
    public void setContentLength(int param) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     */
    public void setContentType(String str) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     * @param param the long argument.
     */
    public void setDateHeader(String str, long param) {
    }

    /**
     * Empty implementation.
     *
     * @param str the first string argument.
     * @param str1 the second string argument.
     */
    public void setHeader(String str, String str1) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     * @param param the integer argument.
     */
    public void setIntHeader(String str, int param) {
    }

    /**
     * Empty implementation.
     *
     * @param locale the locale argument
     */
    public void setLocale(Locale locale) {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     */
    public void setStatus(int param) {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     * @param str the string argument.
     */
    public void setStatus(int param, String str) {
    }
}
