/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.web;

import java.util.Enumeration;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionContext;


/**
 * A simple implementation of HttpSession for testing. All methods have empty implementation.
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class SimpleHttpSession implements HttpSession {
    /**
     * Creates a new instance of SimpleHttpSession
     */
    public SimpleHttpSession() {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @return null.
     */
    public Object getAttribute(String str) {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     */
    public Enumeration getAttributeNames() {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return always 0.
     */
    public long getCreationTime() {
        return 0;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     */
    public String getId() {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return always 0.
     */
    public long getLastAccessedTime() {
        return 0;
    }

    /**
     * Empty implementation.
     *
     * @return always 0.
     */
    public int getMaxInactiveInterval() {
        return 0;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     */
    public ServletContext getServletContext() {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     */
    public HttpSessionContext getSessionContext() {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     *
     * @return null.
     */
    public Object getValue(String str) {
        return null;
    }

    /**
     * Empty implementation.
     *
     * @return null.
     */
    public String[] getValueNames() {
        return null;
    }

    /**
     * Empty implementation.
     */
    public void invalidate() {
    }

    /**
     * Empty implementation.
     *
     * @return false.
     */
    public boolean isNew() {
        return false;
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     * @param obj the object argument.
     */
    public void putValue(String str, Object obj) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     */
    public void removeAttribute(String str) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     */
    public void removeValue(String str) {
    }

    /**
     * Empty implementation.
     *
     * @param str the string argument.
     * @param obj the object argument.
     */
    public void setAttribute(String str, Object obj) {
    }

    /**
     * Empty implementation.
     *
     * @param param the integer argument.
     */
    public void setMaxInactiveInterval(int param) {
    }
}
